fixed build error if bundled zlib is used
[public/netxms.git] / src / libnetxms / Makefile.am
1 SOURCES = array.cpp base64.cpp bytestream.cpp config.cpp crypto.cpp \
2 dirw_unix.c geolocation.cpp getopt.c dload.cpp hash.cpp \
3 hashmapbase.cpp ice.c icmp.cpp icmp6.cpp iconv.cpp \
4 inet_pton.c inetaddr.cpp log.cpp lz4.c main.cpp md5.cpp message.cpp \
5 msgrecv.cpp msgwq.cpp net.cpp nxcp.cpp pa.cpp parisc_atomic.cpp \
6 qsort.c queue.cpp rwlock.cpp scandir.c serial.cpp sha1.cpp sha2.cpp \
7 solaris9_atomic.c streamcomp.cpp string.cpp \
8 stringlist.cpp strmap.cpp strmapbase.cpp strptime.c strset.cpp \
9 strtoll.c strtoull.c table.cpp threads.cpp timegm.c tools.cpp \
10 tp.cpp unicode.cpp uuid.cpp wcstoll.c wcstoull.c xml.cpp \
11 wcscasecmp.cpp wcsncasecmp.cpp
12
13 lib_LTLIBRARIES = libnetxms.la
14
15 if HPUX_HPPA
16 libnetxms_la_SOURCES = ldcw.s $(SOURCES)
17 else
18 libnetxms_la_SOURCES = $(SOURCES)
19 endif
20 libnetxms_la_CPPFLAGS=-I@top_srcdir@/include
21 if USE_INTERNAL_EXPAT
22 libnetxms_la_CPPFLAGS+=-I@top_srcdir@/src/libexpat/libexpat
23 endif
24 libnetxms_la_LDFLAGS = -version-info $(NETXMS_LIBRARY_VERSION)
25 libnetxms_la_LIBADD =
26 if USE_INTERNAL_EXPAT
27 libnetxms_la_LIBADD += ../libexpat/libexpat/libnxexpat.la
28 endif
29 if USE_INTERNAL_LIBTRE
30 libnetxms_la_LIBADD += ../libtre/libnxtre.la
31 endif
32 if USE_INTERNAL_ZLIB
33 libnetxms_la_CPPFLAGS += -I../zlib
34 libnetxms_la_LIBADD += ../zlib/libnxzlib.la
35 endif
36
37 EXTRA_DIST = \
38 libnetxms.vcproj \
39 libnetxms.h ice.h lz4.h md5.h sha1.h sha2.h strmap-internal.h \
40 dir.c dirw.c \
41 seh.cpp StackWalker.cpp StackWalker.h \
42 ldcw.s